n-wp.ru — блог о WordPress
Как правильно обновлять Wordpress | n-wp.ru

Как правильно обновлять WordPress

То, о чем так долго все говорили, чего с нетерпением ждали, свершилось — вышел WordPress третьего поколения. Нововведений в нем масса, и вы о них еще узнаете, но перечислю два основных: возможность создания мультиблогового сайта и работа с дополнительными таксономическими терминами. Первое подразумевает, что теперь достаточно одного движка WordPress для ведения нескольких блогов с общим доменным именем. Второе говорит о том, что помимо рубрик и меток можно будет использовать еще и дополнительные определители, которые вы создадите сами.

Чтобы познакомиться с основными возможностями третьей версии, посмотрите демонстрационное видео.

Теперь по поводу обновления. Если вы хотите автоматически обновить WordPress, то я, во избежание ошибок, советую придерживаться такого порядка:

  1. Очистите кэш в настройках кэширующих плагинов
  2. Деактивируйте все плагины (не удалите, а отключите)
  3. Обновите WordPress (Консоль — обновления)
  4. Активируйте плагины один за одним, проверяя их параметры

Эти простые четыре шага помогут не допустить ситуации, когда блог перестает грузиться. Не активируйте плагины все сразу, не торопитесь. Активируя плагины один за одним, вы сможете выявить, какие из них не совместимы с новой версией (у меня, например, DB Cache Reload вызывал ошибку при редактировании нового поста — пришлось отключить).

Если вы вручную обновляете WordPress, просто переписывая новые файлы поверх старых, то придерживайтесь тех же правил.

Не забывайте, что наряду с английской версией обычно сразу же появляется и русская.

Если вы хотите завести сайт с качественным оформлением, то посетите страницу, на которой можно купить шаблоны сайтов. Большинство из них не требуют установки CMS, являясь самостоятельными скриптами, на основе которых может работать хоть маленький личный блог, хоть большой компьютерный портал.

tiaurus

Являюсь создателем n-wp.ru — блога о WordPress для новичков. Мне интересно многое, поэтому еще я сделал 123-box.ru — блог о программах для Windows, и tiaurus.info — блог о красоте.

39 комментариев

  • Что-то боязно!:)а с админке если нажать на авто обновления и перед этим следуя выше правилам на русском встанет??или это отдельно надо скачивать как у тебя на скрине???:)У меня в админе пишет :Доступен WordPress 3.0! Пожалуйста, обновитесь! так можно!!??или английская вылизет версия??

  • Что то у меня в сборке от лекактуса не находит русскую версию на сайте лекактуса. Подожду пока с обновлением.

    • Это Лекактус ещё не обновил как выложит так обновись потому что это его перевод:)Жди пока он выложит!!А у меня стандартноя стоит вроде пока касеков не заметил в обновлении!!Обновился!!всё на русском автоматом через админ панель!!

      • А ну ясно. Что-то лекактус долго, там вроде не так уж много допереводить то надо. WP 3.0 На Денвере поставил ­- полёт нормальный :)

  • Я бы вобще хотел чтоб чтоб tiaurus сделал мануал по обновлению версии перевода с Лекактуса на стандартную прописка кода и т.п.у кого сайты на его переводе!!Так как Лекактус он же (Иван Калинин)уже писал на своём форуме не однократно что устал и у него депресняк по обновлению и т.п.!!А депресняк потому что конкуренты не дремлют с русского WordPress.ru быстрей его всё делают и продвигать стали!!Это видно по абновлениям версии скорости данного движка на русский!!Мне та серовно я его перевод не использую вот людей жалко!!Процентов наверно 40 русског рунета используют его перевод!!Где соответственно наверно обновления идут через него:)!!

    • Если честно, то я давно уже не пользуюсь версиями Лекактуса. И началось все именно после его заявления, что у него депресняк. Я уважаю его работу, мне она кажется крайне полезной и перспективной. Я так же понимаю, что все мы люди, и у каждого — свое настроение, своя мотивация. Однако я не могу себе позволить, чтобы работа моего блога зависела не от меня, а от настроения другого человека. Поэтому я принял трудное для себя решение перейти на официальные релизы. Более того, в половине моих блогов стоит не русская, а оригинальная, анаглийская версия WordPress без всякого перевода. Она работает быстрее из-за болеее низкого потребления оперативной памяти, которая в русской версии расходуется на обработку файла перевода.
      Если честно, я не понял, что вы хотели, чтобы я сделал? Описал процесс замены официальной версии WordPress сборкой Лекактуса? Или наоборот?

    • В принципе можно сначала автоматом обновиться на английскую версию WP, а потом просто подключить русский официальный перевод в wp-config =)

  • Только что обновился так как и описал выше. Замерил потребление памяти в админке — с подключенной русской локализацией 17мБ, а чисто английская 13мБ (все плагины отключены).

  • Вот и начались первые проблемки!!:)Проблема с загрузкой через админ панель (установка и обновление плагинов)выдаёт ошибку!!:Не удалось создать директорию. /public_html как чё исправить??деректория вроди имется через фтп глядел !!у меня почемуто папки похожии две одинаковые получились после обновления на 3 версию??:(Но по дате директория староя ещё 2.9.2 походу!!короче чтоб долго не обьяснять как это исправить:(((нет возможности обновить плагины и новые установить?!!tiaurus дружище выручи пожалуйста!!!кеш плагин чистил вроде??у меня стоит Hyper Cache что надо сделать!!???????

    • Олег, пишите нормально, соблюдая пунктуацию и орфографию. Иначе нихрена не понять, что вы хотите сказать.
      Помогаю:
      0. Очистите кэш в плагинах кэширования.
      1. Деактивируйте все плагины.
      2. Переустановите WordPress (Консоль — обновления — переустановить).
      3. Активируйте плагины один за одним по порядку, наблюдая за поведением блога. Так вы найдете несовместимый плагин.
      Думаю, у вас установлен DB Cache Reload — он не работает с WordPress 3.

      • Да как это DB cache reloaded не работает с WP3.0??

        Вот такое у меня выдаёт в футере.

        • А у меня при включенном DBCR админка не грузится. А вот как только удалишь его — все ок. В предыдущей версии этого не было. Разбираться долго не стал, и просто отказался от него.

        • Тоже столкнулся с этой проблемой, проделал шаги, которые тут советовали — плагины поотключал, права вроде везде выставлены корректно, но упорно выдаёт: \

  • У меня стоит вот этот плагин advanced-cache.php

    Расширенный плагин кэширования.Он установился автоматом с новой версией!!Так он и есть ?DB Cache Reload или это другое??

  • Шаги не помогают!!:)всё делал по инструкции!!!!!!!!:(короче к мастеру придётся обращаться за $ чтоб наладил!!

  • 5++ Только после таких манёвров (самостоятельно когда) кошелёк опустел на 500 рублей!!:)но не пожалел:))пришлось человеку тех.зад.давать чтоб всё поправил,в итоге всё летает загружается,обновляется и удаляется!!Обновляться обязательно!!Потому что плагины очень быстро разрабатывают под 3.0.хочешь не хочешь а надо!!

  • У меня и толком не обновилось — пришлось вручную делать 3-ю версию, ни переустановить не получается. Выдает 500 ошибку. да и вообще не нравится эта версия, а куда деваться теперь…

    • Олег, удалось разобраться с проблемой «Не удалось создать директорию. /public_html» ?

      У меня точно тоже самое. Ни одного плагина и ни одной темы не установлено (голый wp), а автоустановка не работает вообще (ни ядра, ни тем, ни плагинов).

      Права на каталоги нормальные. FTP-доступ тоже в wp-config прописал. И всё равно.

      Есть подозрение, что это связано с safe-Mod.

      Буду благодарен за контакты человека, который смог решить эту проблему.

      • Думаю, проблема не в WordPress, а в вашем хостинге. У меня все сайты работаю на WordPress, и ни на одном не возникло проблемы с автоматическим обновлением.

          • Ошибка 500 — это однозначно проблема в их сервере (он недоступен). Возможно, у них стоят какие-то ограничения на внешние соединения (WordPress сам скачивает нужные файлы с удаленного сервера и распаковывает их у себя). Возмо так же, что права, выставленные на папки, недостаточны для операции автоматического обновления.

  • А у меня вот такой вопрос: файл wp-config.php в ВП 2.9.2 и 3.0.1 слегка отличаются. Эти отличия принципиальные? Можно ли оставить старый wp-config.php? Можно ли в новый wp-config.php вставить строчки изменяющие интервал автосохранения и количество ревизий?
    Если нет, то как бороться с большим количеством ревизий в ВП 3.0.1?

    • Можно ли в новый wp-config.php вставить строчки изменяющие интервал автосохранения и количество ревизий? — Можно!

  • Здравствуйте!
    Дело в том, что после очередного автоматического обновления версии движка, а точнее после установки версии 4.0, появилось несколько ошибок в админке сайта, а именно при заходе на страницу внешний вид-настройка темы, выдаёт ошибку, а дословно «Страница не работает, сайт пока не может обработать этот запрос», в общем если я хочу сменить тему или подредактировать её, то теперь этого не сделать, да ещё и ошибка в видимой части сайта, появилась странная надпись вместо удалённой страницы, под шапкой, хотя её вообще быть не должно. Пробовала переустановить версию в ручную, но ничего не изменилось. Помогите решить данную проблему! Спасибо!

/* ]]> */